﻿<?xml version="1.0" encoding="UTF-8"?>
<!-- $Revision: 1.1.2.4 $ -->
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:xs="http://www.w3.org/2001/XMLSchema" 
				xmlns:fn="http://www.w3.org/2005/xpath-functions" 
				xmlns:xdt="http://www.w3.org/2005/xpath-datatypes"
				xmlns="http://www.w3.org/1999/xhtml">

	<xsl:output method="html" media-type="text/html" encoding="UTF-8"
			    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
			    doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
    
	<xsl:variable name="lang" select="substring(/child::SessionLog/@lang,1,2)"/>
	
	<xsl:variable name="globalCounter" select="0"/>
	
	<xsl:include href="lang.xslt"/>
	

	<xsl:template match="/">
		 
		<html>
            <head>
            <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
			<script type="text/javascript" src="../Utilities/assets/xmlTree.js"></script>
			<style type="text/css">
				
				html
				{
					background-color: #474649;
					background:url(../Utilities/assets/sh_bg0.jpg) #474448 repeat-x top ;
				}
				body
				{
					font-family: Verdana, Arial, Helvetica, sans-serif;
					font-size: 77.5%;
					margin:0px;
					
				}
			
				.headLinks:link { text-decoration:none; font-weight:normal; color:#ffffff; }
				.headLinks:visited { text-decoration:none; font-weight:normal; color:#ffffff; }
				
				.backLink:link { font-weight:normal; color:#555555; font-size:11px; }
				.backLink:visited { font-weight:normal; color:#555555; font-size:11px;}
				
				.recordingLink:link { font-weight:normal; color:#000000; }
				.recordingLink:visited { font-weight:normal; color:#000000; }
				
				.CBox { background-color:#D5D5D5; width:270px; border:1px solid #0; font-size:11px; }
				
				.trigger
				{
					cursor: pointer;
					cursor: hand;
					display: block;
				}
				
				.branch
				{
					display: none;
					margin-left: 16px;
				}
				
				a
				{
					text-decoration: none;
				}
				
				a:hover
				{
					text-decoration: none;
				}
				
			</style>
			<title>pcvisit session details</title>
		</head>
		<body>
			<xsl:apply-templates select="SessionLog"/>
	    </body>
        </html>
    </xsl:template>
	
	<!-- SESSIONLOG_ACTION -->
    <xsl:template match="SessionLog">
		<xsl:call-template name="Header"/>
		<div style="margin-left:0px; background-repeat: repeat-y; background-image:url(../Utilities/assets/bg_header_layer_4.gif);">
			<div style="padding-left:38px;">
				<xsl:apply-templates select="Session"/> 
			</div>
			<div style="margin-left:50px;padding-top:5px;">
				<a class="backLink" href="../sessions.xml"><xsl:value-of select="$HistoryView"/>  </a>
			</div>
			<div style="height: 20px;"></div>

		</div>
		<xsl:call-template name="Footer"/>
    </xsl:template>
	<!-- SESSIONLOG_ACTION_END -->
	
	<!-- HEADER_ACTION -->
	<xsl:template name="Header">
		<div style="background-image:url(../Utilities/assets/bg_top_layer_2.gif); 
					margin-left:20px; margin-top:32px; width:860px; height:15px;">
		</div>
		<div style="margin-left:0px;height:15px; background-repeat: repeat-y; background-image:url(../Utilities/assets/bg_top_layer_1.gif);">
			<div style="margin-left: 540px;  position:absolute; ">
				<a class="headLinks" href=" http://www.mastersolution.de/de/service/support.html">
					<font style='font-size: 9px;'>
						<xsl:value-of select="$mFAQLink"/>
					</font>
				</a>
				&#160;
				<a class="headLinks" href="http://www.mastersolution.de/">
					<font style='font-size: 9px;'>
						<xsl:value-of select="$mHomeLink"/>
					</font>
				</a>
				&#160;
				<a class="headLinks" href=" http://www.mastersolution.de/de/wegweiser.html">
					<font style='font-size: 9px;'>
						<xsl:value-of select="$mSitmapLink"/>
					</font>
				</a>
				&#160;
				<a class="headLinks" href="http://www.mastersolution.de/de/unternehmen/kontakt.html">
					<font style='font-size: 9px;'>
						<xsl:value-of select="$mContactLink"/>
					</font>
				</a>
				&#160;
				<a class="headLinks" href="http://www.mastersolution.de/de/unternehmen/impressum.html">
					<font style='font-size: 9px;'>
						<xsl:value-of select="$mImpressumLink"/>
					</font>
				</a>
			</div>
		</div>
		<div style="margin-left:30px; background-color: #6699cc; width:820px; ">
			<div style=" margin-left: 495px;width:355px; height:17px; background-image:url(../Utilities/assets/bg_top_layer_3.gif);">
			</div>
		</div>
		<div style="margin-left:0px;height:60px;  background-repeat: repeat-y; background-image:url(../Utilities/assets/bg_header_layer_1.gif);">
		</div>
		<div style="width: 365px; height:65px; margin-left:45px;margin-top:-90px;
		            background-image:url(../Utilities/assets/logo.gif);background-color: #00ff00;">
				
		</div>
		<div style="margin-left:0px;height:25px;  background-repeat: repeat-y; background-image:url(../Utilities/assets/bg_header_layer_1.gif);">
		</div>
		<div style="margin-left:0px;height:51px; background-repeat: repeat-y; background-image:url(../Utilities/assets/bg_header_layer_2.gif);">
			<div style="margin-left:45px;padding-top:25px;">
				<font style='font-size: 15px; font-weight:bold; color: #ffffff;'> <xsl:value-of select="$Detailsheadliner"/></font>
			</div>
		</div>
		<div style="margin-left:0px;height:20px; background-repeat: repeat-y; background-image:url(../Utilities/assets/bg_header_layer_3.gif);">
		</div>
	</xsl:template>
	<!-- HEADER_ACTION_END -->
	
	<xsl:template match="Session">
		<!-- SESSION_LOGS -->
		<div style="background-image:url(../Utilities/assets/inner_userdetails_head.jpg); 
					padding-left:0px; height:29px; width:820px;">
			<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">			
				<xsl:call-template name="SessionHeaderLog"/>
			</div>
		</div>
		<div style="background-repeat: repeat-y; background-image:url(../Utilities/assets/inner_userdetails_body.jpg); width:820px; padding-bottom:10px;">
			<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
				<xsl:call-template name="InnerHeaderSessionLog"/>
			</div>
			<div style="padding-left:20px;padding-top:5px;font-size:11px;">
				<!-- <div style="float: left; width: 150px;"> <xsl:value-of select="@HostName"/></div> -->
				<div style="float: left; width: 180px;">
					<xsl:value-of select="substring(string(@SessionID), 1, 2)"/><font style="font-size:10px;">&#160;</font>
					<xsl:value-of select="substring(string(@SessionID), 3, 2)"/><font style="font-size:10px;">&#160;</font>
					<xsl:value-of select="substring(string(@SessionID), 5, 2)"/><font style="font-size:10px;">&#160;</font>
					<xsl:value-of select="substring(string(@SessionID), 7, 2)"/>
					<!--<xsl:apply-templates select="@SessionID"/>-->
				</div>
				<xsl:apply-templates select="@StartTime"/>
				<div> 
					<xsl:apply-templates select="@Duration"/>
				</div>
			</div>
		</div>	
		<div style="background-image:url(../Utilities/assets/inner_userdetails_footer.jpg); 
				padding-left:0px; height:8px; width:820px; line-height: 0px; ">
			&#160;
		</div>
		<div style="height:10px;"></div>
		<!-- SESSION_LOGS_END -->	
						
		<!-- USER_ACTIVITY -->
		<div style="background-image:url(../Utilities/assets/inner_userdetails_head.jpg); 
					padding-left:0px; height:29px; width:820px;">
			<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">			
				<xsl:call-template name="SessionHeaderUserActivity"/>
			</div>
		</div>
		<div style="background-repeat: repeat-y; background-image:url(../Utilities/assets/inner_userdetails_body.jpg); width:820px; padding-bottom:10px;">
			<xsl:choose>
				<xsl:when test="count( ./UserActivity ) = 0">
					<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
						<xsl:call-template name="NoEntry"/>
					</div>
				</xsl:when>
				<xsl:otherwise>
					<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
						<xsl:call-template name="InnerHeaderUserActivity"/>
					</div>
					<div style="padding-left:20px;padding-top:5px;font-size:11px;">
						<xsl:apply-templates select="UserActivity"/>
					</div>
				</xsl:otherwise>
			</xsl:choose>
		</div>
		<div style="background-image:url(../Utilities/assets/inner_userdetails_footer.jpg); 
					padding-left:0px; height:8px; width:820px; line-height: 0px;">
			&#160;
		</div>
		<div style="height:10px;"></div>
		<!-- USER_ACTIVITY_END -->
		
		<!-- USER_ACTIVITY_CHAT_ACTION -->
		<div style="background-image:url(../Utilities/assets/inner_userdetails_head.jpg); 
					padding-left:0px; height:29px; width:820px;">
			<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">			
				<xsl:call-template name="SessionHeaderUserActivityChat"/>
			</div>
		</div>
		<div style="background-repeat: repeat-y; background-image:url(../Utilities/assets/inner_userdetails_body.jpg); width:820px; padding-bottom:10px;">
			<xsl:choose>
				<xsl:when test="count( ./UserActivity/ChatEntry ) = 0">
					<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
						<xsl:call-template name="NoEntry"/>
					</div>
				</xsl:when>
				<xsl:otherwise>
					<div style="padding-left:20px;padding-top:10px;font-size:11px;">
						<xsl:call-template name="UserActivityChat"/>
					</div>
				</xsl:otherwise>
			</xsl:choose>
		</div>
		<div style="background-image:url(../Utilities/assets/inner_userdetails_footer.jpg); 
					padding-left:0px; height:8px; width:820px; line-height: 0px;">
			&#160;
		</div>
		<div style="height:10px;"></div>
		<!-- USER_ACTIVITY_CHAT_END -->
		
		<!-- FILE_TRANSFER_ACTION -->	
		<div style="background-image:url(../Utilities/assets/inner_userdetails_head.jpg); 
					padding-left:0px; height:29px; width:820px;">
			<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">			
				<xsl:call-template name="SessionHeaderFileTransfer"/>
			</div>
		</div>
		<div style="background-repeat: repeat-y; background-image:url(../Utilities/assets/inner_userdetails_body.jpg); width:820px; padding-bottom:10px;">
			<xsl:choose>
				<xsl:when test="count( ./ReceivedFile ) = 0 and count( ./SentFile ) = 0">
					<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
						<xsl:call-template name="NoEntry"/>
					</div>
				</xsl:when>
				<xsl:otherwise>
					<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
						<xsl:call-template name="InnerHeaderFileTransfer"/>
					</div>
					<div style="padding-left:20px;padding-top:5px;font-size:11px;">
						<xsl:apply-templates select="ReceivedFile"/>
						<xsl:apply-templates select="SentFile"/>
					</div>
				</xsl:otherwise>
			</xsl:choose>
		</div>
		<div style="background-image:url(../Utilities/assets/inner_userdetails_footer.jpg); 
					padding-left:0px; height:8px; width:820px; line-height: 0px;">
			&#160;
		</div>
		<div style="height:10px;"></div>
		<!-- FILE_TRANSFER_END -->	
		
		<!-- SESSION_DESCRIPTION -->
		<div style="background-image:url(../Utilities/assets/inner_userdetails_head.jpg); 
					padding-left:0px; height:29px; width:820px;">
			<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">			
				<xsl:call-template name="SessionHeaderDescription"/>
			</div>
		</div>
		<div style="background-repeat: repeat-y; background-image:url(../Utilities/assets/inner_userdetails_body.jpg); width:820px; padding-bottom:10px;">
			<xsl:choose>
				<xsl:when test="count( ./SessionDescription ) = 0">
					<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
						<xsl:call-template name="NoEntry"/>
					</div>
				</xsl:when>
				<xsl:otherwise>
					<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
						<xsl:call-template name="InnerHeaderDescription"/>
					</div>
					<div style="padding-left:20px;padding-top:5px;font-size:11px;">
						<xsl:apply-templates select="SessionDescription"/>
					</div>
				</xsl:otherwise>
			</xsl:choose>
		</div>
		<div style="background-image:url(../Utilities/assets/inner_userdetails_footer.jpg); 
					padding-left:0px; height:8px; width:820px; line-height: 0px;">
			&#160;
		</div>
		<div style="height:10px;"></div>
		<!-- SESSION_DESCRIPTION_END -->
		
		<!-- SESSION_RECORDING_ACTION-->
		<div style="background-image:url(../Utilities/assets/inner_userdetails_head.jpg); 
					padding-left:0px; height:29px; width:820px;">
			<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">			
				<xsl:call-template name="SessionHeaderRecording"/>
			</div>
		</div>
		<div style="background-repeat: repeat-y; background-image:url(../Utilities/assets/inner_userdetails_body.jpg); width:820px; padding-bottom:10px;">
			<xsl:choose>
				<xsl:when test="count( ./SessionRecording ) = 0">
					<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
						<xsl:call-template name="NoEntry"/>
					</div>
				</xsl:when>
				<xsl:otherwise>
					<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
						<xsl:call-template name="InnerHeaderRecording"/>
					</div>
					<div style="padding-left:20px;padding-top:5px;font-size:11px;">
						<xsl:apply-templates select="SessionRecording"/>
					</div>
				</xsl:otherwise>
			</xsl:choose>
		</div>
		<div style="background-image:url(../Utilities/assets/inner_userdetails_footer.jpg); 
					padding-left:0px; height:8px; width:820px; line-height: 0px;">
			&#160;		
		</div>
		<div style="height:10px;"></div>
		<!-- SESSION_RECORDING_END -->
		
		<!-- PERFORMANCE_ACTION-->
		<div style="background-image:url(../Utilities/assets/inner_userdetails_head.jpg); 
					padding-left:0px; height:29px; width:820px;">
					
			<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">			
				<xsl:call-template name="SessionHeaderPerformance"/>
			</div>
		</div>
		<div style="background-repeat: repeat-y; background-image:url(../Utilities/assets/inner_userdetails_body.jpg); width:820px; padding-bottom:10px;">
		
			<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
				<xsl:call-template name="InnerHeaderPerformancePart1"/>
			</div>
			<div style="padding-left:20px;padding-top:5px;font-size:11px;">
				<div style="float: left; width: 180px;"> 
					<xsl:call-template name="FormatBytes">
						<xsl:with-param name="input" select="@SendBytes" />
					</xsl:call-template>
				</div>
				<div style="float: left; width: 380px;"> 
					<xsl:call-template name="FormatBytes">
						<!-- <xsl:with-param name="input" select="@AverageRecBytesPerSecond"/> -->
						<xsl:with-param name="input" select="@RecBytes" />
					</xsl:call-template>
					<!--<xsl:text>/s</xsl:text>-->
				</div>
				<div stlye="clear:both"></div>
			</div>
			<div style="height:13px;"></div>
		</div>
		<div style="background-image:url(../Utilities/assets/inner_userdetails_footer.jpg); 
					padding-left:0px; height:8px; width:820px; line-height: 0px;">
			&#160;
		</div>
		<div style="height:10px;"></div>
		<!-- PERFORMANCE_END -->
		
		<!--SYSTEMINFO_ACTION -->
		<xsl:choose>
			<xsl:when test="count( ./SystemInfo ) = 0">
			</xsl:when>
			<xsl:otherwise>
				
				<div style="background-image:url(../Utilities/assets/inner_userdetails_head.jpg); 
							padding-left:0px; height:29px; width:820px;">
							
					<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">			
						<xsl:call-template name="SessionHeaderSystemInfo"/>
					</div>
				</div>
				<div style="background-repeat: repeat-y; background-image:url(../Utilities/assets/inner_userdetails_body.jpg); width:820px; padding-bottom:10px;">
					
					
					<xsl:choose>
						<xsl:when test="count( ./SystemInfo ) = 0">
							<div style="padding-left:20px;padding-top:10px;font-weight:bold;color:#555555;">	
								<xsl:call-template name="NoEntry"/>
							</div>
						</xsl:when>
						<xsl:otherwise>
							<div style="padding-left:20px;padding-top:5px;font-size:11px;">
								<xsl:apply-templates select="SystemInfo"/>
							</div>
						</xsl:otherwise>
					</xsl:choose>
					
					
					<div style="height:13px;"></div>
				</div>
				<div style="background-image:url(../Utilities/assets/inner_userdetails_footer.jpg); 
							padding-left:0px; height:8px; width:820px; line-height: 0px;">
					&#160;
				</div>
				<div style="height:10px;"></div>
			
			</xsl:otherwise>
		</xsl:choose>
		<!-- SYSTEMINFO_END -->
		
	</xsl:template>
	
	
	<!-- FOOTER_ACTION-->
	<xsl:template name="Footer">
		<div style="width:100%; background-color:#474448">
			<div style="margin-left:0px; height: 20px; background-repeat: repeat-y; background-image:url(../Utilities/assets/bg_footer_layer_1.gif);">
				
			</div>
			<div style="margin-left:0px; height: 10px; background-repeat: repeat-y;  line-height: 0px; 
			            background-image:url(../Utilities/assets/bg_footer_layer_2.gif);">
				&#160;
			</div>
			
		</div>
    </xsl:template>
	<!-- FOOTER_ACTION_END -->

	<xsl:template name="SessionHeaderLog">
		<xsl:value-of select="$Sessionlog"/>
	</xsl:template>
	
	<xsl:template name="SessionHeaderPerformance">
		<xsl:value-of select="$Performancehead"/>
	</xsl:template>
	
	<xsl:template name="SessionHeaderSystemInfo">
		<xsl:value-of select="$Var_SystemInfo"/>
	</xsl:template>
	
	<xsl:template name="InnerHeaderPerformancePart1">
		<div>
			<div style="float: left; width: 180px;"> <xsl:value-of select="$SendByteshead"/></div>
			<div style="float: left; width: 180px; "> <xsl:value-of select="$RecByteshead"/></div>
			<!-- <div style="float: left; width: 380px;"> <xsl:value-of select="$AverageRecBytesPerSecond"/></div> -->
			<div style="clear: both;"></div>
		</div>	
	</xsl:template>
	<xsl:template name="InnerHeaderPerformancePart2">
		<div>
			<div style="float: left; width: 180px;"> <xsl:value-of select="$SendByteshead"/></div>
			<div style="float: left; width: 380px;"> <xsl:value-of select="$AverageSendBytesPerSecond"/></div>
			<div style="clear: both;"></div>
		</div>	
	</xsl:template>
	
	<xsl:template name="InnerHeaderSessionLog">
		<div>
			<!-- <div style="float: left; width: 150px; "> <xsl:value-of select="$Hostnamehead"/></div> -->
			<div style="float: left; width: 180px;"> <xsl:value-of select="$Sessionidhead"/></div>
			<div style="float: left; width: 180px;"> <xsl:value-of select="$Datehead"/></div>
			<div style="float: left; width: 180px;">  <xsl:value-of select="$Timehead"/></div>
			<div> <xsl:value-of select="$Durationhead"/> </div>
		</div>	
	</xsl:template>
	
	<xsl:template match="@StartTime">
		<div style="float: left; width: 180px;"> <xsl:call-template name="FDate"/> </div>
		<div style="float: left; width: 180px;"> <xsl:call-template name="FTime"/> </div>
	</xsl:template>	

	<xsl:template name="SessionHeaderUserActivity">
		<xsl:value-of select="$Useractivityhead"/> 
	</xsl:template>
	
	<xsl:template name="SessionHeaderUserActivityChat">
		<xsl:value-of select="$UseractivityChathead"/> 
	</xsl:template>
	
	<xsl:template name="InnerHeaderUserActivity">
		<div style="float: left; width: 150px; "> <xsl:value-of select="$Username"/></div>
		<div style="float: left; width: 150px;"> <xsl:value-of select="$Datehead"/></div>
		<div style="float: left; width: 150px;"> <xsl:value-of select="$Timehead"/></div>
		<div> <xsl:value-of select="$Activity"/> </div>
	</xsl:template>
	
	
	<xsl:template name="UserActivityChat">
		<xsl:for-each select="UserActivity">
			<xsl:if test="@Activity = 'SENT_CHAT_MESSAGE' ">
				<div style="border-bottom: 1px solid #aaaaaa; margin-right:20px; padding-bottom:1px;">
					<div style="float: left; width:92.5%;">
						<b>
							<xsl:value-of select="@Name"/>:
						</b>
					</div>
					<div>
						<font style="font-size:9px; color:#000000;">(<xsl:call-template name="ChatTime"/>)</font>
					</div>
				</div>
				<div style="padding-top:5px; margin-right:20px; padding-bottom:8px;">
					<xsl:value-of select="./ChatEntry/@Value"/>
				</div>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="UserActivity">
		<xsl:if test="@Activity!='SENT_CHAT_MESSAGE' ">
			<div style="float: left; width: 150px;">
				<xsl:choose>
					<xsl:when test="string-length(@Name) > 22">
						<!-- testen ob kompletter Pfad oder nur Dateiname -->
						<xsl:variable name="filename" select="@Name"/>
						
						<div style="float: left; width: 150px;"> 
							
							<xsl:call-template name="substring-after-last">
								<xsl:with-param name="input" select="$filename" />
								<xsl:with-param name="marker" select="'\'" />
							</xsl:call-template>
							
						</div>
					</xsl:when>
					<xsl:otherwise>
						<div style="float: left; width: 150px;"> <xsl:value-of select="@Name"/> </div>
					</xsl:otherwise>
				</xsl:choose>
			</div>
			<xsl:apply-templates select="@DateTime"/>
			<div> <xsl:value-of select="@Activity"/></div>
		</xsl:if>
	</xsl:template>
	
	<!-- FILE_TRANSFER_ACTION -->
	<xsl:template name="SessionHeaderFileTransfer">
		<xsl:value-of select="$Filetransferhead"/>
	</xsl:template>
	
	<xsl:template name="InnerHeaderFileTransfer">
		<div style="float: left; width: 150px; ">  <xsl:value-of select="$Filename"/></div>
		<div style="float: left; width: 150px;"> <xsl:value-of select="$State"/></div>
		<div style="float: left; width: 150px;"> <xsl:value-of select="$Datehead"/></div>
		<div style="float: left; width: 150px;"> <xsl:value-of select="$Timehead"/></div>
		<div> <xsl:value-of select="$Filesize"/> </div>
	</xsl:template>
	
	<xsl:template match="ReceivedFile">
		<xsl:call-template name="FileTransfer"/>
	</xsl:template>
	
	<xsl:template match="SentFile">
		<xsl:call-template name="FileTransfer"/>
	</xsl:template>
	
	<xsl:template name="FileTransfer">
	
		<xsl:choose>
			<xsl:when test="string-length(@Name) > 22">
				<!-- testen ob kompletter Pfad oder nur Dateiname -->
				<xsl:variable name="filename" select="@Name"/>
				
				<div style="float: left; width: 150px;"> 
					
					<xsl:call-template name="substring-after-last">
						<xsl:with-param name="input" select="$filename" />
						<xsl:with-param name="marker" select="'\'" />
					</xsl:call-template>
					
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div style="float: left; width: 150px;"> <xsl:value-of select="@Name"/> </div>
			</xsl:otherwise>
		</xsl:choose>
		
		<xsl:choose>
			<xsl:when test="name(.)='SentFile'">
				<div style="float: left; width: 150px;">
					<xsl:value-of select="$Sender"/>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div style="float: left; width: 150px;">  
					<xsl:value-of select="$Receiver"/>
				</div>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:apply-templates select="@DateTime"/> 
		<div>  
			<xsl:call-template name="FormatBytes">
				<xsl:with-param name="input" select="@Size" />
			</xsl:call-template>	
		</div>
			
	</xsl:template>
	<!-- FILE_TRANSFER_ACTION_END -->
	
	<!-- SESSION_DESCRIPTION_ACTION -->	
	<xsl:template name="SessionHeaderDescription">
		<xsl:value-of select="$Sessiondescriptionhead"/>
	</xsl:template>
	
	<xsl:template name="InnerHeaderDescription">
		<div> <xsl:value-of select="$Commenthead"/> </div>
	</xsl:template>
	
	<xsl:template match="SessionDescription">
		<div style="padding-bottom:10px;"> <xsl:value-of select="@Description"/> </div>
	</xsl:template>
	
	<!-- SESSION_DESCRIPTION_ACTION_END -->
	
	<!-- SESSION_RECORDING_ACTION -->
	<xsl:template name="SessionHeaderRecording">
		<xsl:value-of select="$Sessionrecordinghead"/>
	</xsl:template>
	
	<xsl:template name="InnerHeaderRecording">
		<div style="float: left; width: 150px; "> <xsl:value-of select="$Movie"/></div>
		<div style="float: left; width: 150px;"> <xsl:value-of select="$Durationhead"/></div>
		<div style="float: left; width: 150px;"> <xsl:value-of select="$Datehead"/></div>
		<div style="float: left; width: 150px;"> <xsl:value-of select="$Timehead"/></div>
		<div> <xsl:value-of select="$Filesize"/> </div>
	</xsl:template>
	
	<xsl:template match="SessionRecording">
		<div style="float: left; width: 150px; "> 
			<a class="recordingLink">
				<xsl:attribute name="href"><xsl:value-of select="@Link" /></xsl:attribute>
				<xsl:value-of select="$Recordinghead"/>
			</a>
		</div>
		<div style="float: left; width: 150px;"> <xsl:apply-templates select="@Duration"/> </div>
		<xsl:apply-templates select="@DateTime"/> 
		<div> 
			<xsl:call-template name="FormatBytes">
				<xsl:with-param name="input" select="@Size" />
			</xsl:call-template>	
		</div>
	</xsl:template>
	<!-- SESSION_RECORDING_ACTION_END -->
	
	<!--UTILS_ACTION-->
	
	<!-- DATE_FORMATTER_ACTION -->
	<xsl:template match="@DateTime">
		<div style="float: left; width: 150px;"> <xsl:call-template name="FDate"/> </div>
		<div style="float: left; width: 150px;"> <xsl:call-template name="FTime"/> </div>
	</xsl:template>
	
	<xsl:template name="FDate">
		<xsl:value-of select="format-number(number(substring(string(.), 9, 2)), '00')" />
		<xsl:text>/</xsl:text>
		<xsl:value-of select="format-number(number(substring(string(.), 6, 2)), '00')" />
		<xsl:text>/</xsl:text>
		<xsl:value-of select="format-number(number(substring(string(.), 3, 2)), '00')" />
	</xsl:template>
	<!-- DATE_FORMATTER_ACTION_END -->
	
	<!-- TIME_FORMATTER_ACTION -->
	<xsl:template name="FTime">
		<xsl:value-of select="format-number(number(substring(substring-before(string(.), ':'), string-length(substring-before(string(.), ':')) - 1)), '00')" />
		<xsl:text>:</xsl:text>
		<xsl:value-of select="format-number(number(substring-before(substring-after(string(.), ':'), ':')), '00')" />
		<xsl:text>:</xsl:text>
		<xsl:choose>
			<xsl:when test="contains(string(.), 'Z')">
				<xsl:value-of select="format-number(number(substring-after(substring-before(string(.), 'Z'), ':')), '00')" />
			</xsl:when>
			<xsl:when test="contains(string(.), '+')">
				<xsl:value-of select="format-number(number(substring-after(substring-after(substring-before(string(.), '+'), ':'), ':')), '00')" />
			</xsl:when>
			<xsl:when test="contains(substring-after(substring-after(string(.), ':'), ':'), '-')">
				<xsl:value-of select="format-number(number(substring-before(substring-after(substring-after(string(.), ':')), ':'), '-'), '00')" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="format-number(number(substring-after(substring-after(string(.), ':'), ':')), '00')" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- TIME_FORMATTER_ACTION_END -->
	
	<!-- CHAT_TIME_FORMATTER_ACTION -->
	<xsl:template name="ChatTime">
		<xsl:value-of select="format-number(number(substring(substring-before(string(@DateTime), ':'), string-length(substring-before(string(@DateTime), ':')) - 1)), '00')" />
		<xsl:text>:</xsl:text>
		<xsl:value-of select="format-number(number(substring-before(substring-after(string(@DateTime), ':'), ':')), '00')" />
		<xsl:text>:</xsl:text>
		<xsl:choose>
			<xsl:when test="contains(string(@DateTime), 'Z')">
				<xsl:value-of select="format-number(number(substring-after(substring-before(string(@DateTime), 'Z'), ':')), '00')" />
			</xsl:when>
			<xsl:when test="contains(string(@DateTime), '+')">
				<xsl:value-of select="format-number(number(substring-after(substring-after(substring-before(string(@DateTime), '+'), ':'), ':')), '00')" />
			</xsl:when>
			<xsl:when test="contains(substring-after(substring-after(string(@DateTime), ':'), ':'), '-')">
				<xsl:value-of select="format-number(number(substring-before(substring-after(substring-after(string(@DateTime), ':')), ':'), '-'), '00')" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="format-number(number(substring-after(substring-after(string(@DateTime), ':'), ':')), '00')" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- CHAT_TIME_FORMATTER_ACTION_END -->
	
	<!-- FILESIZE_FORMATTER_ACTION -->
	<xsl:template name="FormatBytes">
		<xsl:param name="input" />
		<xsl:choose>
			<xsl:when test="floor( $input div 1024 > 1000)">
				<xsl:choose>
					<xsl:when test="floor( $input div 1024 div 1024 > 1000)">
						<xsl:choose>
							<xsl:when test="floor( $input div 1024 div 1024 div 1024> 1000)">
								<xsl:text> more than 1 TByte</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="floor( $input div 1024 div 1024 div 1024)"/>
								<xsl:text> GByte</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="floor( $input div 1024 div 1024 )"/>
						<xsl:text> MByte</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="floor( $input div 1024 )"/>
				<xsl:text> KByte</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- FILESIZE_FORMATTER_ACTION_END -->
	
	<!-- DURATION_FORMATTER_ACTION -->
	<xsl:template match="@Duration">
		<!--format-number(number(substring(string(.), 6, 2)), '00')-->
		<xsl:value-of select="format-number(number(floor( sum(.)  div 3600)),'0')"/>
		<font style="font-size:10px;">h:</font>
			<xsl:value-of select="format-number(number(floor( sum(.) mod 3600 div 60)),'00')" />
		<font style="font-size:10px;">min:</font>
			<xsl:value-of select="format-number(number(sum(.) mod 60),'00')" />
		<font style="font-size:10px;">sec</font>
	</xsl:template>
	<!-- DURATION_FORMATTER_ACTION_END -->
	
	<!--====================================================================================================================================== -->
	
	<!-- SYSTEMINFO_FORMATTER_ACTION -->
	<xsl:template match="SystemInfo">
		<xsl:call-template name="rekursiveTemplate">
			<xsl:with-param name="content" select="."/>
		</xsl:call-template>
	</xsl:template>
	<!-- SYSTEMINFO_FORMATTER_END -->
	
	<xsl:template name="rekursiveTemplate">
		<xsl:param name="content"/>
		
		<xsl:for-each select="$content/*">
			
			<xsl:choose>
				<xsl:when test="count(./*) > 0 and local-name() != 'PROPERTY' and local-name() != 'Env' ">
					
					<xsl:variable name="tempCounter" select="generate-id()" />
					
					<span class="trigger">
						<xsl:attribute name="onClick">showBranch('<xsl:value-of select="$tempCounter"/>');</xsl:attribute>
						
						<img src="../Utilities/assets/closed.gif">
							<xsl:attribute name="id">I<xsl:value-of select="$tempCounter"/></xsl:attribute>
						</img>
						
						<font style="font-size: 12px;">
							<xsl:call-template name="NodeNameCheckerTemplate">
								<xsl:with-param name="content" select="."/>
							</xsl:call-template>
						</font>
						
						<br/>
					</span>
					<span class="branch">
						<xsl:attribute name="id">
							<xsl:value-of select="$tempCounter"/>
						</xsl:attribute>
						
						<xsl:call-template name="rekursiveTemplate">
							<xsl:with-param name="content" select="."/>
						</xsl:call-template>
						
					</span>
					
				</xsl:when>
				<xsl:otherwise>
					
					<xsl:variable name="tempCounter" select="generate-id()" />
					
					<span class="trigger">
						<xsl:attribute name="onClick">showBranch('<xsl:value-of select="$tempCounter"/>');</xsl:attribute>
						
						<!-- Darstellung der Leafs -->
						<img src="../Utilities/assets/doc.gif">
						</img>
						
						<font style="font-size: 12px;">
							<xsl:call-template name="NodeNameCheckerTemplate">
								<xsl:with-param name="content" select="."/>
							</xsl:call-template>
							
							<!-- abfrage ob xml-text() vorhanden ist, wenn ja diesen getrennt durch einen Doppelpunkt darstellen -->
							<xsl:choose>
								<xsl:when test=" string-length( normalize-space( text()) ) > 0 ">
								   :
									<xsl:value-of select="text()"></xsl:value-of>
								</xsl:when>
								<xsl:otherwise>
									<!-- sonst mach nix -->
								</xsl:otherwise>
							</xsl:choose>
						
						</font>
						<br/>
					</span> 
					
				</xsl:otherwise>
			</xsl:choose>			
		
		</xsl:for-each> 
	</xsl:template>
	
	<!-- check for some special nodeName Tags and if some porpertiy names exsits -->
	<xsl:template name="NodeNameCheckerTemplate">
		<xsl:param name="content"/>
		<xsl:choose>
		
			<xsl:when test="local-name() = 'SysInfoObj' ">
				<xsl:call-template name="VariableNameCheckerTemplate">
					<xsl:with-param name="var_text" select="@classname"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="@CLASSNAME">
				<xsl:call-template name="VariableNameCheckerTemplate">
					<xsl:with-param name="var_text" select="@CLASSNAME"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="local-name() = 'PROPERTY' ">
			   <xsl:value-of select="@NAME"/>
			   <font style="font-size:12px;"> : </font>
			   <xsl:value-of select="./VALUE"/>
			</xsl:when>
			
			<xsl:when test="local-name() = 'Env' ">
				<xsl:value-of select="./Key"/>
			   <font style="font-size:12px;"> : </font>
			   <xsl:value-of select="./Value"/>
			</xsl:when>
			
			<xsl:otherwise>
				<xsl:call-template name="VariableNameCheckerTemplate">
					<xsl:with-param name="var_text" select="local-name()"/>
				</xsl:call-template>	
			</xsl:otherwise>
		
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="VariableNameCheckerTemplate">
		<xsl:param name="var_text"/>
		
		<xsl:choose>
			<xsl:when test="$var_text = 'SystemInfo' or $var_text = 'CSysInfoPlatform' or $var_text = 'CSysInfoPcSystem' ">
				<xsl:value-of select="$Var_SystemInfo"/>
			</xsl:when>
			<xsl:when test="$var_text = 'basic' ">
				<xsl:value-of select="$Var_Basic"/>
			</xsl:when>
			<xsl:when test="$var_text = 'Platform' ">
				<xsl:value-of select="$Var_CSysInfoPlatform"/>
			</xsl:when>
			<xsl:when test="$var_text = 'Identity' or $var_text = 'CSysInfoIdentity' ">
				<xsl:value-of select="$Var_CSysInfoIdentity"/>
			</xsl:when>
			<xsl:when test="$var_text = 'OsVersion' or $var_text = 'CSysInfoOsVersion' ">
				<xsl:value-of select="$Var_CSysInfoOsVersion"/>
			</xsl:when>
			<xsl:when test="$var_text = 'ProcessorFeature' or $var_text = 'CSysInfoProcessorFeatures' ">
				<xsl:value-of select="$Var_CSysInfoProcessorFeatures"/>
			</xsl:when>
			<xsl:when test="$var_text = 'SystemMetrics' or $var_text = 'CSysInfoSystemMetrics' ">
				<xsl:value-of select="$Var_CSysInfoSystemMetrics"/>
			</xsl:when>
			<xsl:when test="$var_text = 'ComputerName' or $var_text = 'CSysInfoComputerName' ">
				<xsl:value-of select="$Var_CSysInfoComputerName"/>
			</xsl:when>
			<xsl:when test="$var_text = 'UserName' or $var_text = 'CSysInfoUserName' ">
				<xsl:value-of select="$Var_CSysInfoUserName"/>
			</xsl:when>
			<xsl:when test="$var_text = 'Memory' or $var_text = 'CSysInfoMemoryInfos' ">
				<xsl:value-of select="$Var_CSysInfoMemoryInfos"/>
			</xsl:when>
			<xsl:when test="$var_text = 'ProcInfo' or $var_text = 'CSysInfoProcessInfos' ">
				<xsl:value-of select="$Var_CSysInfoProcessInfos"/>
			</xsl:when>
			<xsl:when test="$var_text = 'Locale' or $var_text = 'CSysInfoLocaleInfos' ">
				<xsl:value-of select="$Var_CSysInfoLocaleInfos"/>
			</xsl:when>
			<xsl:when test="$var_text = 'IE' or $var_text = 'CSysInfoIEInfos' ">
				<xsl:value-of select="$Var_CSysInfoIEInfos"/>
			</xsl:when>
			<xsl:when test="$var_text = 'CpuInfo' or $var_text = 'CSysInfoCPUInfos' ">
				<xsl:value-of select="$Var_CSysInfoCPUInfos"/>
			</xsl:when>
			<xsl:when test="$var_text = 'EnvInfo' or $var_text = 'CSysInfoEnvironmentInfos' ">
				<xsl:value-of select="$Var_CSysInfoEnvironmentInfos"/>
			</xsl:when>
			<xsl:when test="$var_text = 'Hardware' ">
				<xsl:value-of select="$Var_Hardware"/>
			</xsl:when>
			<xsl:when test="$var_text = 'InputDevices' ">
				<xsl:value-of select="$Var_InputDevices"/>
			</xsl:when>
			<xsl:when test="$var_text = 'BoardAndController' ">
				<xsl:value-of select="$Var_BoardAndController"/>
			</xsl:when>
			<xsl:when test="$var_text = 'NetworkingDevice' ">
				<xsl:value-of select="$Var_NetworkDevice"/>
			</xsl:when>
			<xsl:when test="$var_text = 'Video' ">
				<xsl:value-of select="$Var_Video"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$var_text"/>
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>	
	
	<!--==========================================================================================================================================-->
	
	
	
	<xsl:template name="NoEntry">
		<xsl:value-of select="$Noentry"/>
	</xsl:template>
	<!--UTILS_ACTION_END -->
	
	<xsl:template name="substring-after-last">
		<xsl:param name="input" />
		<xsl:param name="marker" />

		<xsl:choose>
		  <xsl:when test="contains($input,$marker)">
		    <xsl:call-template name="substring-after-last">
		      <xsl:with-param name="input" 
		          select="substring-after($input,$marker)" />
		      <xsl:with-param name="marker" select="$marker" />
		    </xsl:call-template>
		  </xsl:when>
		  <xsl:otherwise>
			
			<xsl:variable name="finalString" select="$input"/>
			<xsl:choose>
				<xsl:when test="string-length($finalString) > 22">
					<xsl:value-of select="substring(string($finalString), 1, 6)"/>
					<font style="font-size:10px; color:#000000;">...</font>
					<xsl:value-of select="substring(string($finalString), string-length($finalString) - 6, string-length($finalString))"/>
				</xsl:when>
				<xsl:otherwise>	
					<xsl:value-of select="$finalString"/>
				</xsl:otherwise>
			</xsl:choose>			
		  </xsl:otherwise>
		 </xsl:choose>

	</xsl:template>
	
</xsl:stylesheet>
